commit:     a1d44fe46411043be88e287a0017452ad56d69ed
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed May 18 10:44:04 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed May 18 10:49:43 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a1d44fe4

dev-util/boost-build: Bump to version 1.61.0 (bug #583348).

Package-Manager: portage-2.2.28
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-util/boost-build/Manifest                      |   1 +
 dev-util/boost-build/boost-build-1.61.0.ebuild     | 140 +++++++++++++++++++++
 .../boost-build-1.48.0-disable_python_rpath.patch  |   4 +-
 ...oost-build-1.49.0-darwin-gentoo-toolchain.patch |   4 +-
 .../boost-build-1.50.0-respect-c_ld-flags.patch    |   8 +-
 ...t-build-1.52.0-darwin-no-python-framework.patch |   4 +-
 .../files/boost-build-1.54.0-fix-test.patch        |   4 +-
 ...ild-1.54.0-support_dots_in_python-buildid.patch |   4 +-
 .../files/boost-build-1.55.0-ppc-aix.patch         |   4 +-
 9 files changed, 157 insertions(+), 16 deletions(-)

diff --git a/dev-util/boost-build/Manifest b/dev-util/boost-build/Manifest
index e99bfef..67a5c10 100644
--- a/dev-util/boost-build/Manifest
+++ b/dev-util/boost-build/Manifest
@@ -3,3 +3,4 @@ DIST boost_1_56_0.tar.bz2 94777674 SHA256 
134732acaf3a6e7eba85988118d943f0fa6b7f
 DIST boost_1_58_0.tar.bz2 70394057 SHA256 
fdfc204fc33ec79c99b9a74944c3e54bd78be4f7f15e260c0e2700a36dc7d3e5 SHA512 
7480ec713b0aa13f0ec990603e87e3b5c8d53f4411329b10fae37fc963b90aad12dbd9290a33c3669ae801e9012a68683eadff057591e9ca2ebcd22b1a67b5d1
 WHIRLPOOL 
0ed66f7de8b2ac28eda89e2fcadfc5533e6a3887ef7a929610804efa3ca66b850fecafeb61c986d37cb704ec844744e47d08f87e08ea25c779f57cffd26a1be2
 DIST boost_1_59_0.tar.bz2 70389425 SHA256 
727a932322d94287b62abb1bd2d41723eec4356a7728909e38adb65ca25241ca SHA512 
8139e1ae997a86974071c5714ad3307e3d8fd15ef702b81a953410dd4d424b932135f53a0ef4891d9b9b747a38e539e66d6a803388fe0cc98e5166be872d682a
 WHIRLPOOL 
ab26f6b770c32320e71806d7f7856b3841917dcc59e0c5ee588fc77d77f11855dda66bfb808dbe0f3f89859b958211439c271401a5b1ad2ea98aa5d377934510
 DIST boost_1_60_0.tar.bz2 76553944 SHA256 
686affff989ac2488f79a97b9479efb9f2abae035b5ed4d8226de6857933fd3b SHA512 
7c851b3fc2b322ff05d642d9cf03e7c30c5f04d5cf0579c99046b1ec708901c58a3d349031dfe24591f5b88c1e664b6a0d40abea6cce89abb52080c02eb725df
 WHIRLPOOL 
828b0797a8b62150ecef5ee13f0e8b8d6b6a0e7365511ec9782d2d8f3a26ac38a98f10876c40d05ea46697c013b1f96f22b3a24c449372520c84bb725059fe48
+DIST boost_1_61_0.tar.bz2 85202254 SHA256 
a547bd06c2fd9a71ba1d169d9cf0339da7ebf4753849a8f7d6fdb8feee99b640 SHA512 
a1c7338e2d2dbac8552ede7c554640d22cbb2fda7fbc325dc3cdcb51e769713626695426ffc158cbe0e1729dd9a7b5ad18af4800d74e24539e8d8564268c2b9d
 WHIRLPOOL 
59b47e7ae9ae8443ecaab29b1104cfe3ebfa607d22afcc3fad4a87bdfd575939eba8130a80fd509da178eb3227a26cb74db51852716dc5df068d36fc4839372b

diff --git a/dev-util/boost-build/boost-build-1.61.0.ebuild 
b/dev-util/boost-build/boost-build-1.61.0.ebuild
new file mode 100644
index 0000000..70502d4
--- /dev/null
+++ b/dev-util/boost-build/boost-build-1.61.0.ebuild
@@ -0,0 +1,140 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+RESTRICT="test"
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+inherit eutils flag-o-matic python-single-r1 toolchain-funcs versionator
+
+MY_PV="$(replace_all_version_separators _)"
+
+DESCRIPTION="A system for large project software construction, simple to use 
and powerful"
+HOMEPAGE="http://www.boost.org/doc/tools/build/index.html";
+SRC_URI="mirror://sourceforge/boost/boost_${MY_PV}.tar.bz2"
+
+LICENSE="Boost-1.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~ia64-hpux ~x86-interix ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris 
~x64-solaris ~x86-solaris"
+IUSE="examples python test"
+
+RDEPEND="python? ( ${PYTHON_DEPS} )
+       !<dev-libs/boost-1.34.0
+       !<=dev-util/boost-build-1.35.0-r1"
+DEPEND="${RDEPEND}
+       test? ( sys-apps/diffutils
+               ${PYTHON_DEPS} )"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )
+       test? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/boost_${MY_PV}/tools/build/src"
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.48.0-disable_python_rpath.patch"
+       "${FILESDIR}/${PN}-1.50.0-respect-c_ld-flags.patch"
+       "${FILESDIR}/${PN}-1.49.0-darwin-gentoo-toolchain.patch"
+       "${FILESDIR}/${PN}-1.52.0-darwin-no-python-framework.patch"
+       "${FILESDIR}/${PN}-1.54.0-support_dots_in_python-buildid.patch"
+       "${FILESDIR}/${PN}-1.55.0-ppc-aix.patch"
+)
+
+pkg_setup() {
+       if use python || use test; then
+               python-single-r1_pkg_setup
+       fi
+}
+
+src_unpack() {
+       tar xjpf "${DISTDIR}/${A}" boost_${MY_PV}/tools/build || die "unpacking 
tar failed"
+}
+
+src_prepare() {
+       default
+
+       pushd ../ &>/dev/null || die
+       eapply "${FILESDIR}/${PN}-1.54.0-fix-test.patch"
+       popd &>/dev/null || die
+
+       # Remove stripping option
+       # Fix python components build on multilib systems, bug #496446
+       cd "${S}/engine" || die
+       sed -i \
+               -e 's|-s\b||' \
+               -e "/libpython/s/lib ]/$(get_libdir) ]/" \
+               build.jam || die "sed failed"
+
+       # Force regeneration
+       rm jambase.c || die
+
+       # This patch allows us to fully control optimization
+       # and stripping flags when bjam is used as build-system
+       # We simply extend the optimization and debug-symbols feature
+       # with empty dummies called 'none'
+       cd "${S}" || die
+       sed -i \
+               -e 's/\(off speed space\)/\1 none/' \
+               -e 's/\(debug-symbols      : on off\)/\1 none/' \
+               tools/builtin.jam || die "sed failed"
+}
+
+src_configure() {
+       if use python; then
+               # replace versions by user-selected one (TODO: fix this when 
slot-op
+               # deps are available to always match the best version available)
+               sed -i \
+                       -e "s|2.7 2.6 2.5 2.4 2.3 2.2|${EPYTHON#python}|" \
+                       engine/build.jam || die "sed failed"
+       fi
+}
+
+src_compile() {
+       cd engine || die
+
+       local toolset
+
+       if [[ ${CHOST} == *-darwin* ]]; then
+               toolset=darwin
+       else
+               # Using boost's generic toolset here, which respects CC and 
CFLAGS
+               toolset=cc
+       fi
+
+       CC=$(tc-getCC) ./build.sh ${toolset} -d+2 $(use_with python python 
"${EROOT}"/usr) || die "building bjam failed"
+}
+
+src_install() {
+       dobin engine/bin.*/{bjam,b2}
+
+       insinto /usr/share/boost-build
+       doins -r "${FILESDIR}/site-config.jam" \
+               ../boost-build.jam bootstrap.jam build-system.jam 
../example/user-config.jam *.py \
+               build kernel options tools util
+
+       rm "${ED}/usr/share/boost-build/build/project.ann.py" || die "removing 
faulty python file failed"
+       if ! use python; then
+               find "${ED}/usr/share/boost-build" -iname "*.py" -delete || die 
"removing experimental python files failed"
+       fi
+
+       dodoc 
../notes/{changes,hacking,release_procedure,build_dir_option,relative_source_paths}.txt
+
+       if use examples; then
+               dodoc -r ../example
+               docompress -x "/usr/share/doc/${PF}/example"
+       fi
+}
+
+src_test() {
+       cd ../test || die
+
+       export TMP="${T}"
+
+       DO_DIFF="${PREFIX}/usr/bin/diff" ${PYTHON} test_all.py
+
+       if [[ -s test_results.txt ]]; then
+               eerror "At least one test failed: $(<test_results.txt)"
+               die "tests failed"
+       fi
+}

diff --git 
a/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch 
b/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch
index 8b88b43..84734f7 100644
--- a/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch
+++ b/dev-util/boost-build/files/boost-build-1.48.0-disable_python_rpath.patch
@@ -1,5 +1,5 @@
---- tools/python.jam
-+++ tools/python.jam
+--- a/tools/python.jam
++++ b/tools/python.jam
 @@ -961,7 +961,7 @@
              # linux).
            : $(usage-requirements)

diff --git 
a/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch 
b/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch
index f5d6188..032feaf 100644
--- 
a/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch
+++ 
b/dev-util/boost-build/files/boost-build-1.49.0-darwin-gentoo-toolchain.patch
@@ -2,8 +2,8 @@ Avoid adding all kinds of things to the toolchain's flags that 
within
 Gentoo (Prefix) we really shouldn't, such as sysroot, deployment target,
 arch, etc.
 
---- tools/darwin.jam
-+++ tools/darwin.jam
+--- a/tools/darwin.jam
++++ b/tools/darwin.jam
 @@ -227,6 +227,9 @@
          }
      }

diff --git 
a/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch 
b/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch
index f0a1561..8775583 100644
--- a/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch
+++ b/dev-util/boost-build/files/boost-build-1.50.0-respect-c_ld-flags.patch
@@ -1,5 +1,5 @@
---- engine/build.jam.orig      2012-08-19 09:47:23.916383518 +0200
-+++ engine/build.jam   2012-08-19 09:53:38.011554690 +0200
+--- a/engine/build.jam
++++ b/engine/build.jam
 @@ -3,7 +3,7 @@
  #~ (See accompanying file LICENSE_1_0.txt or 
http://www.boost.org/LICENSE_1_0.txt)
  
@@ -36,8 +36,8 @@
  ## GCC 2.x, 3.x, 4.x
  toolset gcc gcc : "-o " : -D
      : -pedantic -fno-strict-aliasing
---- engine/build.sh.orig       2012-08-19 12:09:56.400780866 +0200
-+++ engine/build.sh    2012-08-19 12:10:49.728499203 +0200
+--- a/engine/build.sh
++++ b/engine/build.sh
 @@ -224,9 +224,9 @@
      cc)
      if test -z "$CC" ; then CC=cc ; fi

diff --git 
a/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
 
b/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
index 08b40f3..cacbe00 100644
--- 
a/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
+++ 
b/dev-util/boost-build/files/boost-build-1.52.0-darwin-no-python-framework.patch
@@ -1,8 +1,8 @@
 Don't look for the framework path, we build Python the UNIX way for
 Gentoo Prefix
 
---- engine/build.jam
-+++ engine/build.jam
+--- a/engine/build.jam
++++ b/engine/build.jam
 @@ -82,11 +82,6 @@
          }
          --python-lib = $(--python-lib[1]) ;

diff --git a/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch 
b/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch
index a44afb9..3f8b177 100644
--- a/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch
+++ b/dev-util/boost-build/files/boost-build-1.54.0-fix-test.patch
@@ -1,5 +1,5 @@
---- test/startup_v2.py.orig    2013-08-27 12:23:10.520185408 +0400
-+++ test/startup_v2.py 2013-08-27 12:23:27.155186209 +0400
+--- a/test/startup_v2.py
++++ b/test/startup_v2.py
 @@ -50,7 +50,7 @@
      return re.match(expected, actual, re.DOTALL) != None
  

diff --git 
a/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
 
b/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
index bddcdac..a04aa0b 100644
--- 
a/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
+++ 
b/dev-util/boost-build/files/boost-build-1.54.0-support_dots_in_python-buildid.patch
@@ -1,5 +1,5 @@
---- tools/common.jam.orig      2013-08-27 12:13:56.865158748 +0400
-+++ tools/common.jam   2013-08-27 12:15:08.760162210 +0400
+--- a/tools/common.jam
++++ b/tools/common.jam
 @@ -763,7 +763,15 @@
          switch $(f:G)
          {

diff --git a/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch 
b/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch
index a521309..d8b6a5a 100644
--- a/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch
+++ b/dev-util/boost-build/files/boost-build-1.55.0-ppc-aix.patch
@@ -1,7 +1,7 @@
 https://svn.boost.org/trac/boost/ticket/10122
 
---- engine/mem.h
-+++ engine/mem.h
+--- a/engine/mem.h
++++ b/engine/mem.h
 @@ -8,6 +8,8 @@
  #ifndef BJAM_MEM_H
  #define BJAM_MEM_H

Reply via email to